summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-10 12:50:40 +0000
committerJim Meyering <jim@meyering.net>2000-12-10 12:50:40 +0000
commit3614a5215060ef8cc024fb1126ac06f3cddb2ff8 (patch)
tree9ad4f47516dcfe4faad2ea085a64d39673d2892a /tests/chgrp
parentd2be99eb17091bba8b1501a3d673dddbd561a9cc (diff)
downloadcoreutils-3614a5215060ef8cc024fb1126ac06f3cddb2ff8.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index d778fe508..9e7e38692 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -66,6 +66,11 @@ chgrp $g2 f2 || fail=1
chgrp -c $g2 symlink 2> /dev/null
chgrp -c $g2 f
+ # This *should* change the group of f.
+ # Though note that the diagnostic is misleading in that
+ # it says the `group of `symlink'' has been changed.
+ chgrp --dereference -c $g1 symlink
+
) 2>&1 | sed "s/ $g1$/ G1/;s/ $g2$/ G2/" > actual
cat <<\EOF > expected
@@ -84,9 +89,10 @@ group of `d' changed to G1
group of `d/f3' changed to G1
group of `d' changed to G2
group of `f' changed to G2
+group of `symlink' changed to G1
EOF
cmp expected actual \
- || { diff -c expected actual 1>&2; fail=1; }
+ || { diff -u expected actual 1>&2; fail=1; }
(exit $fail); exit